Skip to content

Retrieve job details

Request

Fetches details of a specific job by its unique job_id

Security
BearerAuth
Path
job_idstringrequired
Headers
Authorizationstring

Authorization header with a Bearer token, formatted as 'Bearer [JWT]' where [JWT] is the JSON Web Token used for user authentication and authorization.

Example:Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.your-payload-here.signature
GET
/jobs/job/{job_id}
curl -i -X GET \
  'https://api.open-atlas.com/_mock/openapi/jobs/job/{job_id}' \
  -H 'Authorization: Bearer <YOUR_JWT or vantage_live_ API key_HERE>'

Responses

Job details retrieved successfully

Bodyapplication/json
usernamestring

Name of the user account that created and owns the job

Example:"abc_pro"
notesstring

Additional notes related to the plot

Example:"This plot requires frequent irrigation."
job_idstring

Unique identifier for the job

Example:"a31da612-fefe-4da8-800d-0e7120f5617e"
job_namestring

Name of the job

Example:"August shipment 827128"
plot_idsArray of strings

A list of IDs of plots to be analyzed in the job

Example:
[ "ef6f5727-307f-4e9d-abcb-74a8b6af0366", "asd9632d-b589-4e05-9c8b-58fed1f9823a3" ]
created_atstring, (date-time)

Timestamp of job creation

updated_atstring, (date-time)

Timestamp of job update, for example when the job's analysis is complete

additional_infoobject

Analysis data for the plot, represented as key-value pairs

Example:
{ "job_urgency": "high", "reviewer": "employee A" }
token_costinteger, (int32)

Amount of tokens the job costs based on the plots and the selected checks

Example:8
statusstring

Current status of the job

Enum:"creating""pending""incomplete""done-with-errors""done"
plotsArray of objects(Plot)

List of plots associated with the job

job_visualization_urlArray of strings

List of URLs for visualizations of analysis of plots associated with the job

Example:
[ "https://example.com/ef6f5727-307f-4e9d-abcb-74a8b6af0366.png", "https://example.com/asd9632d-b589-4e05-9c8b-58fed1f9823a3.png" ]
harvest_datestringdeprecated
Response
{ "username": "abc_pro", "notes": "This plot requires frequent irrigation.", "job_id": "a31da612-fefe-4da8-800d-0e7120f5617e", "job_name": "August shipment 827128", "plot_ids": [ "ef6f5727-307f-4e9d-abcb-74a8b6af0366", "asd9632d-b589-4e05-9c8b-58fed1f9823a3" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "additional_info": { "job_urgency": "high", "reviewer": "employee A" }, "token_cost": 8, "harvest_date": "string", "status": "creating", "plots": [ {} ], "job_visualization_url": [ "https://example.com/ef6f5727-307f-4e9d-abcb-74a8b6af0366.png", "https://example.com/asd9632d-b589-4e05-9c8b-58fed1f9823a3.png" ] }